python-oslo.log (6.1.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/{control,tests}/*: Test with all supported Pythons.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 11:20:59 +0100

python-oslo.log (5.5.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 11:38:44 +0100

python-oslo.log (5.5.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:21:55 +0000

python-oslo.log (5.4.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal. 
  * d/p/*: Drop, all included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 10:40:31 +0000

python-oslo.log (5.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:43:47 -0400

python-oslo.log (5.2.0-0ubuntu2) mantic; urgency=medium

  * d/p/catch-runtime-error.patch: Cherry-picked from upstream to
    catch RuntimeError when loading log config file.
  * d/p/skip-py3114-failure.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Sep 2023 15:53:39 -0400

python-oslo.log (5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/p/skip-py3114-failure.patch: Skip until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:03:52 -0400

python-oslo.log (5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 May 2022 12:36:00 -0400

python-oslo.log (4.6.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:31:44 -0500

python-oslo.log (4.6.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:41:18 -0400

python-oslo.log (4.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:29:08 +0000

python-oslo.log (4.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:47:09 +0000

python-oslo.log (4.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:39:20 -0400

python-oslo.log (4.1.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:46:34 -0400

python-oslo.log (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/skip-py3.7-test.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 15:52:37 -0400

python-oslo.log (3.45.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:42:23 +0000

python-oslo.log (3.45.0-0ubuntu3) focal; urgency=medium

  * d/rules, d/python3-oslo.log.install: Restore install to tmp and add
    install file with final installation location.
  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 12:50:45 -0500

python-oslo.log (3.45.0-0ubuntu2) focal; urgency=medium

  * d/rules: Drop install to tmp (pkgos-dh_auto_install --in-tmp).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 11:43:42 -0500

python-oslo.log (3.45.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/python{3}-oslo.log.{postrm,prerm}: Drop maintainer scripts
      for alternatives management as package is py3 only now.
    - d/t/python-import: Add oslo module import test.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 10:23:54 -0500

python-oslo.log (3.44.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:20:34 +0200

python-oslo.log (3.44.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed python3-monotonic from (build-)depends.
  * Set openstack-pkg-tools to be (>= 99~).
  * pkgos-dh_auto_install: add --no-py2.
  * More fixes for Py3 only.
  * Blacklist LogConfigTestCase.test_log_config_append_unreadable() until
    upstream bug #1842639 is fixed.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 11:47:00 +0200

python-oslo.log (3.44.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:45:32 -0400

python-oslo.log (3.44.0-0ubuntu4) eoan; urgency=medium

  * d/control, d/tests/*: Add python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:05:46 -0400

python-oslo.log (3.44.0-0ubuntu3) eoan; urgency=medium

  * d/python{3}-oslo.log.{postinst,postrm,prerm}: Drop maintainer scripts
    for alternatives management as package is py3 only now.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Jun 2019 09:01:10 +0100

python-oslo.log (3.44.0-0ubuntu2) eoan; urgency=medium

  * d/rules: Switch override_dh_install to override_dh_auto_install as
    it is overriding setup.py install. Also add --no-py2.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 10 Jun 2019 09:06:04 -0400

python-oslo.log (3.44.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/python3-oslo.log.postinst: Bump priority of py3 alternatives.
    - d/p/skip-py3.7-test.patch: Skip test that is failing on Py3.7
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 10:07:59 -0400

python-oslo.log (3.42.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:37:55 +0200

python-oslo.log (3.42.3-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Fixed (build-)depends for this release, removed versions satisfied in
    Buster.
  * Remove patch to skip some tests in Python 3.6, fixed upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 21:18:50 +0100

python-oslo.log (3.42.3-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:03:29 +0000

python-oslo.log (3.42.2-0ubuntu1) disco; urgency=medium

  * d/control: Use python3-sphinx.
  * d/python3-oslo.log.postinst: Bump priority of py3 alternatives.
  * New upstream release for OpenStack Stein.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:22:12 +0000

python-oslo.log (3.40.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/temporarily-remove-failing-py3.6-tests.patch: Drop, included
    upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:20:19 +0000

python-oslo.log (3.39.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:06:24 +0200

python-oslo.log (3.39.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release and building sphinx doc with
    Python 3.
  * Add skip-py3.7-test.patch (taken from Ubuntu).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 22:37:47 +0200

python-oslo.log (3.39.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py3.7-test.patch: Skip test that is failing on Py3.7
    and opened bug upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 15:32:15 -0400

python-oslo.log (3.38.1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jun 2018 11:39:58 +0100

python-oslo.log (3.36.0-3) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:47:52 +0000

python-oslo.log (3.36.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:24:08 +0000

python-oslo.log (3.36.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 08:28:50 +0000

python-oslo.log (3.36.0-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * New upstream release for OpenStack Queens.
  * d/control: Align (build-)depends with upstream.
  * d/p/*: Drop, no longer needed.

  [ Corey Bryant ]
  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/skip-tests.patch: Skip tests in py3 due to upstream bug
    https://bugs.launchpad.net/oslo.log/+bug/1737493.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 16:15:36 -0500

python-oslo.log (3.32.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 14:53:26 +0000

python-oslo.log (3.30.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-depends on python-openstackdocstheme (>= 1.16.0).
  * (Build-)depends on python{,}3-oslo.serialization (>= 2.20.2).
  * Using pkgos-dh_auto_{install,test}.
  * Switched to debhelper 10.
  * Updated VCS fields to use salsa.
  * Standards-Version is now 4.1.3.
  * Temporarily removed failing Py 3.6 tests (Closes: #884052).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jan 2018 11:09:46 +0100

python-oslo.log (3.30.0-2) unstable; urgency=medium

  * Defines PYTHONPATH=. when building sphinx doc (Closes: #880183).
  * Uploading to unstable.
  * Fixed watch file.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 00:29:02 +0000

python-oslo.log (3.30.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.
  * debian/gbp.conf using debian/pike.
  * Removed now useless pyinotify version patch.
  * Using update-alternatives to manage /usr/bin/convert-json.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 18:34:41 +0000

python-oslo.log (3.30.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 17:57:15 -0400

python-oslo.log (3.28.1-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jul 2017 15:44:44 -0400

python-oslo.log (3.27.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:25:04 +0100

python-oslo.log (3.25.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:03:26 +0100

python-oslo.log (3.20.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 09:08:31 -0500

python-oslo.log (3.19.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 09:36:35 -0500

python-oslo.log (3.18.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 09:54:18 -0500

python-oslo.log (3.17.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * d/control: Bump version dependencies.
  * d/control: Add python-monotonic.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 Dec 2016 08:44:34 -0500

python-oslo.log (3.16.0-0ubuntu1) yakkety; urgency=medium

  [ Thomas Goirand ]
  * Fixed upstream VCS URL to use HTTPS.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/allow-pyinotify-0.9.5.patch: Dropped. No longer needed.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 11:06:12 -0400

python-oslo.log (3.11.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/allow-pyinotify-0.9.5.patch: Rebased.

  [ Thomas Goirand ]
  * Drop python-oslo-* transition packages not needed since Xenial is out.
  * Switch to pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 15:06:26 +0000

python-oslo.log (3.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update gbp branch config for Newton.
  * d/control: Align depends with upstream.
  * d/rules: Set PYTHONPATH to current dir for sphinx-build.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> to Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 14:51:54 +0000

python-oslo.log (3.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed python{3,}-oslo.config (build-)depends version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jun 2016 11:27:26 +0200

python-oslo.log (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:26:51 +0000

python-oslo.log (3.2.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * d/p/allow-pyinotify-0.9.5.patch: Rebasing.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * d/control: Align depends with upstream.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:37:10 +0000

python-oslo.log (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright.
  * Removed install-missing-files.patch.
  * Rebased allow-pyinotify-0.9.5.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 05:58:54 +0000

python-oslo.log (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add patch to allow pyinotify 0.9.5.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 02:34:22 +0000

python-oslo.log (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 10:55:20 +0100

python-oslo.log (1.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:41:07 +0000

python-oslo.log (1.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 17:50:02 +0200

python-oslo.log (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Align (build)-depends with upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 08:48:41 +0000

python-oslo.log (1.7.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:29:35 +0000

python-oslo.log (1.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 17:31:11 +0100

python-oslo.log (1.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-align with Ubuntu:
    - d/control: Add transitional packages for *oslo-log.
    - d/control: Add Breaks/Replaces to support migration to oslo.log
      package names.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:47:27 +0100

python-oslo.log (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #776109)

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2015 14:58:25 +0100

